<?php
/**
 * @var $message_id
 * @var $message_class
 * @var $is_hidden
 * @var $with_close_icon
 * @var $icon_class
 * @var $message_header
 * @var $message_content
 * @var $content_paragraph
 */
?>

<div id="<?php echo $message_id; ?>" class="ui <?php echo $message_class; if ( $is_hidden ) echo ' hidden'; ?> message">

	<?php if ( $with_close_icon ) { ?>

		<i class="close icon"></i>

	<?php }

	if ( $icon_class ) { ?>

		<i class="<?php echo $icon_class; ?> icon"></i>

		<div class="content">

	<?php }

			if ( $message_header ) { ?>

				<div class="header">

					<?php echo $message_header; ?>

				</div>

			<?php }

			if ( $message_content ) {

				if ( $content_paragraph ) { ?>

					<p>

				<?php }

						echo $message_content;

				if ( $content_paragraph ) { ?>

					</p>

				<?php }

			}

	if ( $icon_class ) { ?>

		</div>

	<?php } ?>

</div>